Package org.drinkless.tdlib

# Class TdApi.WebApp

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.WebApp

Enclosing class:
  TdApi

public static class TdApi.WebApp extends TdApi.Object
Describes a Web App. Use getInternalLink with internalLinkTypeWebApp to share the Web App.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `TdApi.Animation`
  `animation`
  Web App animation; may be null.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `description`
  Web App description.
  `TdApi.Photo`
  `photo`
  Web App photo.
  `String`
  `shortName`
  Web App short name.
  `String`
  `title`
  Web App title.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `WebApp()`
  Describes a Web App.
  `WebApp(String shortName, String title, String description, TdApi.Photo photo, TdApi.Animation animation)`
  Describes a Web App.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### shortName

    public String shortName
    Web App short name.

  - ### title

    public String title
    Web App title.

  - ### description

    public String description
    Web App description.

  - ### photo

    public TdApi.Photo photo
    Web App photo.

  - ### animation

    @Nullable public TdApi.Animation animation
    Web App animation; may be null.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### WebApp

    public WebApp()
    Describes a Web App. Use getInternalLink with internalLinkTypeWebApp to share the Web App.

  - ### WebApp

    public WebApp(String shortName, String title, String description, TdApi.Photo photo, TdApi.Animation animation)
    Describes a Web App. Use getInternalLink with internalLinkTypeWebApp to share the Web App.
    Parameters:
      `shortName` - Web App short name.
      `title` - Web App title.
      `description` - Web App description.
      `photo` - Web App photo.
      `animation` - Web App animation; may be null.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR